Package org.optaplanner.core.impl.io.jaxb.adapter

## Class JaxbCustomPropertiesAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<org.optaplanner.core.impl.io.jaxb.adapter.JaxbCustomPropertiesAdapter.JaxbAdaptedMap,​Map<String,​String>>
  - - org.optaplanner.core.impl.io.jaxb.adapter.JaxbCustomPropertiesAdapter

-     public class JaxbCustomPropertiesAdapter
      extends XmlAdapter<org.optaplanner.core.impl.io.jaxb.adapter.JaxbCustomPropertiesAdapter.JaxbAdaptedMap,​Map<String,​String>>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxbCustomPropertiesAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.optaplanner.core.impl.io.jaxb.adapter.JaxbCustomPropertiesAdapter.JaxbAdaptedMap` | `marshal​(Map<String,​String> originalMap)` |
    `Map<String,​String>` | `unmarshal​(org.optaplanner.core.impl.io.jaxb.adapter.JaxbCustomPropertiesAdapter.JaxbAdaptedMap jaxbAdaptedMap)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxbCustomPropertiesAdapter

          public JaxbCustomPropertiesAdapter()

  - ### Method Detail

    - #### unmarshal

          public Map<String,​String> unmarshal​(org.optaplanner.core.impl.io.jaxb.adapter.JaxbCustomPropertiesAdapter.JaxbAdaptedMap jaxbAdaptedMap)

      Specified by:
        `unmarshal` in class `XmlAdapter<org.optaplanner.core.impl.io.jaxb.adapter.JaxbCustomPropertiesAdapter.JaxbAdaptedMap,​Map<String,​String>>`

    - #### marshal

          public org.optaplanner.core.impl.io.jaxb.adapter.JaxbCustomPropertiesAdapter.JaxbAdaptedMap marshal​(Map<String,​String> originalMap)

      Specified by:
        `marshal` in class `XmlAdapter<org.optaplanner.core.impl.io.jaxb.adapter.JaxbCustomPropertiesAdapter.JaxbAdaptedMap,​Map<String,​String>>`